event.c File Reference
`#include "lscp/event.h"`

## Functions

const char * | lscp_event_to_text (lscp_event_t event)
lscp_event_t | lscp_event_from_text (const char *pszText)

## Function Documentation

lscp_event_t lscp_event_from_text | ( | const char * | pszText | ) |

Getting an event from a text string.

Parameters

  pszText | Text string to convert to event.

Returns
  The event correponding to the text string.

References LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT, LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO, LSCP_EVENT_BUFFER_FILL, LSCP_EVENT_CHANNEL_COUNT, LSCP_EVENT_CHANNEL_INFO, LSCP_EVENT_CHANNEL_MIDI, LSCP_EVENT_DEVICE_MIDI, LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT, LSCP_EVENT_MIDI_INPUT_DEVICE_INFO, LSCP_EVENT_MIDI_INSTRUMENT_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_INFO, LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO, LSCP_EVENT_MISCELLANEOUS, LSCP_EVENT_NONE, LSCP_EVENT_STREAM_COUNT, LSCP_EVENT_TOTAL_VOICE_COUNT, and LSCP_EVENT_VOICE_COUNT.

Referenced by server_callback().

const char* lscp_event_to_text | ( | lscp_event_t | event | ) |

Getting the text string representation of a single event.

Parameters

  event | Event to convert to text string.

Returns
  The text string representation of the event.

References LSCP_EVENT_AUDIO_OUTPUT_DEVICE_COUNT, LSCP_EVENT_AUDIO_OUTPUT_DEVICE_INFO, LSCP_EVENT_BUFFER_FILL, LSCP_EVENT_CHANNEL_COUNT, LSCP_EVENT_CHANNEL_INFO, LSCP_EVENT_CHANNEL_MIDI, LSCP_EVENT_DEVICE_MIDI, LSCP_EVENT_MIDI_INPUT_DEVICE_COUNT, LSCP_EVENT_MIDI_INPUT_DEVICE_INFO, LSCP_EVENT_MIDI_INSTRUMENT_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_INFO, LSCP_EVENT_MIDI_INSTRUMENT_MAP_COUNT, LSCP_EVENT_MIDI_INSTRUMENT_MAP_INFO, LSCP_EVENT_MISCELLANEOUS, LSCP_EVENT_NONE, LSCP_EVENT_STREAM_COUNT, LSCP_EVENT_TOTAL_VOICE_COUNT, and LSCP_EVENT_VOICE_COUNT.

Referenced by client_callback(), and lscp_server_broadcast().